## org.python.core
Class PyUnicode

    java.lang.Object
      org.python.core.PyObject
          org.python.core.PySequence
              org.python.core.PyBaseString
                  org.python.core.PyString
                      org.python.core.PyUnicode

All Implemented Interfaces:
  java.io.Serializable, ClassDictInit

Direct Known Subclasses:
  PyUnicodeDerived

    public class PyUnicode

extends PyString

a builtin python unicode string.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.python.core.PyObject
`PyObject.ConversionException`

Field Summary
`static java.lang.Class` `exposed_base`
`static java.lang.String` `exposed_name`

Constructor Summary
`PyUnicode()`
`PyUnicode(char c)`
`PyUnicode(PyString pystring)`
`PyUnicode(PyType subtype, PyString pystring)`
`PyUnicode(PyType subtype, java.lang.String string)`
`PyUnicode(java.lang.String string)`

Method Summary
`PyObject` `__mod__(PyObject other)` Equivalent to the standard Python __mod__ method
`PyString` `__repr__()` Equivalent to the standard Python __repr__ method.
`PyString` `__str__()` Equivalent to the standard Python __str__ method.
`static void` `classDictInit(PyObject dict)` Internal use only.
`PyString` `createInstance(java.lang.String str)`
`java.lang.String` `safeRepr()`
`static void` `typeSetup(PyObject dict, PyType.Newstyle marker)`
`PyString` `unicode___str__()`
`java.lang.String` `unicode_toString()`

Methods inherited from class org.python.core.PyString

`__add__, __cmp__, __complex__, __contains__, __eq__, __float__, __ge__, __getnewargs__, __gt__, __int__, __invert__, __le__, __len__, __long__, __lt__, __ne__, __neg__, __pos__, __reduce__, __tojava__, __unicode__, asName, asString, atof, atoi, atoi, atol, atol, capitalize, center, count, count, count, decode_UnicodeEscape, decode, decode, decode, encode_UnicodeEscape, encode_UnicodeEscape, encode, encode, encode, endswith, endswith, endswith, equals, expandtabs, expandtabs, find, find, find, hashCode, index, index, index, internedString, isalnum, isalpha, isdecimal, isdigit, islower, isnumeric, isspace, istitle, isunicode, isupper, join, ljust, lower, lstrip, lstrip, rfind, rfind, rfind, rindex, rindex, rindex, rjust, rstrip, rstrip, split, split, split, splitlines, splitlines, startswith, startswith, startswith, str___mod__, strip, strip, swapcase, title, to_bytes, toString, translate, translate, translate, upper, zfill`

Methods inherited from class org.python.core.PySequence
`__delitem__, __delslice__, __finditem__, __finditem__, __getitem__, __getslice__, __iter__, __nonzero__, __setitem__, __setitem__, __setslice__, isMappingType, isNumberType`

Methods inherited from class org.python.core.PyObject

`__abs__, __and__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __coerce__, __coerce_ex__, __delattr__, __delattr__, __delete__, __delitem__, __delslice__, __dir__, __div__, __divmod__, __findattr__, __findattr__, __finditem__, __floordiv__, __get__, __getattr__, __getattr__, __getitem__, __getslice__, __hash__, __hex__, __iadd__, __iand__, __idiv__, __idivmod__, __ifloordiv__, __ilshift__, __imod__, __imul__, __ior__, __ipow__, __irshift__, __isub__, __iternext__, __itruediv__, __ixor__, __lshift__, __mul__, __not__, __oct__, __or__, __pow__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __rfloordiv__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __set__, __setattr__, __setattr__, __setitem__, __setslice__, __sub__, __truediv__, __xor__, _add, _and, _callextra, _cmp, _div, _divmod, _doget, _doget, _doset, _eq, _floordiv, _ge, _gt, _in, _is, _isnot, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _truediv, _xor, asInt, asLong, asStringOrNull, delDict, delType, dispatch__init__, fastGetClass, fastGetDict, getDict, getDoc, getType, implementsDescrDelete, implementsDescrSet, invoke, invoke, invoke, invoke, invoke, isCallable, isDataDescr, isSequenceType, noAttributeError, readonlyAttributeError, setDict, setType`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### exposed_base

    public static final java.lang.Class exposed_base

### exposed_name

    public static final java.lang.String exposed_name

See Also:
  Constant Field Values

Constructor Detail

### PyUnicode

    public PyUnicode()

### PyUnicode

    public PyUnicode(java.lang.String string)

### PyUnicode

    public PyUnicode(PyType subtype,
                     java.lang.String string)

### PyUnicode

    public PyUnicode(PyString pystring)

### PyUnicode

    public PyUnicode(PyType subtype,
                     PyString pystring)

### PyUnicode

    public PyUnicode(char c)

Method Detail

### typeSetup

    public static void typeSetup(PyObject dict,
                                 PyType.Newstyle marker)

### classDictInit

    public static void classDictInit(PyObject dict)
                              throws PyIgnoreMethodTag

  Internal use only. Do not call this method explicitly.

  Throws:
    `PyIgnoreMethodTag`

### safeRepr

    public java.lang.String safeRepr()
                              throws PyIgnoreMethodTag

  Overrides:
    `safeRepr` in class `PyString`
  Throws:
    `PyIgnoreMethodTag`

### createInstance

    public PyString createInstance(java.lang.String str)

  Overrides:
    `createInstance` in class `PyString`

### __mod__

    public PyObject __mod__(PyObject other)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __mod__ method

  Overrides:
    `__mod__` in class `PyString`
  Parameters:
    `other` - the object to perform this binary operation with (the right-hand operand).
  Returns:
    the result of the mod, or null if this operation is not defined

### __str__

    public PyString __str__()

  Description copied from class: `PyObject`
  Equivalent to the standard Python __str__ method. This method should not typically need to be overridden. The easiest way to configure the string representation of a `PyObject` is to override the standard Java `toString` method.

  Overrides:
    `__str__` in class `PyString`

### unicode___str__

    public PyString unicode___str__()

### __repr__

    public PyString __repr__()

  Description copied from class: `PyObject`
  Equivalent to the standard Python __repr__ method. This method should not typically need to be overrriden. The easiest way to configure the string representation of a `PyObject` is to override the standard Java `toString` method.

  Overrides:
    `__repr__` in class `PyString`

### unicode_toString

    public java.lang.String unicode_toString()

Jython homepage